## parley 22.12.0

=== debian/changelog ===
parley (4:22.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Update lintian override info format in d/parley.lintian-overrides on line 1.
  * Update standards version to 4.6.1, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.15.2
    - bump KF packages to 5.91.0
    - drop libkf5kcmutils-dev, no more used
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Fri, 16 Dec 2022 22:06:22 +0100

parley (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable blhc, as it should work fine now.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.73.0
    - add libkf5textwidgets-dev
    - drop kross-dev
  * Drop removal of files that do not exist anymore.
  * Small copyright update.
  * Drop the krosspython recommend, as Kross is not used anymore.
  * Suggest translate-shell for the online translation services; note it is
    in contrib, so it cannot be more than a suggest.
  * Update lintian overrides.
  * Drop old breaks/replaces for versions older than Buster.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 17:25:24 +0100
