=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
@@ -27,7 +28,7 @@
                qtbase5-dev (>= 5.15.2~),
                qtmultimedia5-dev (>= 5.15.2~),
                qtwebengine5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://kde.org/applications/education/org.kde.parley
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/parley.git
@@ -40,8 +41,7 @@
          parley-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Suggests: khelpcenter,
-          translate-shell,
+Suggests: khelpcenter, translate-shell,
 Description: vocabulary trainer
  Parley is a utility to help train vocabulary when learning a foreign language.
  It is intended as a replacement for flash cards.
@@ -50,7 +50,7 @@
 
 Package: parley-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: data files for the Parley vocabulary trainer
  This package contains architecture-independent data files for the Parley
  vocabulary trainer.
