=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: parley
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16.0~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.5.0~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.91.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:16.08),
+               libkeduvocdocument-dev (>= 4:23.08.1~),
                libkf5config-dev (>= 5.91.0~),
                libkf5coreaddons-dev (>= 5.91.0~),
                libkf5crash-dev (>= 5.91.0~),
@@ -28,11 +28,11 @@
                qtbase5-dev (>= 5.15.2~),
                qtmultimedia5-dev (>= 5.15.2~),
                qtwebengine5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://kde.org/applications/education/org.kde.parley
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/parley.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/parley
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
 
 Package: parley
 Architecture: any
@@ -41,7 +41,8 @@
          parley-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Suggests: khelpcenter, translate-shell,
+Suggests: khelpcenter,
+          translate-shell,
 Description: vocabulary trainer
  Parley is a utility to help train vocabulary when learning a foreign language.
  It is intended as a replacement for flash cards.
@@ -50,7 +51,7 @@
 
 Package: parley-data
 Architecture: all
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: data files for the Parley vocabulary trainer
  This package contains architecture-independent data files for the Parley
  vocabulary trainer.
