=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.91.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:23.08.1~),
+               libkeduvocdocument-dev (>= 4:23.08.5~),
                libkf5config-dev (>= 5.91.0~),
                libkf5coreaddons-dev (>= 5.91.0~),
                libkf5crash-dev (>= 5.91.0~),
