## parley 24.08.2

=== debian/changelog ===
parley (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 18:01:55 -0500

parley (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Switch to kf6 debhelper build sequence.
  * Update the list of installed files.
  * Reenable build-time tests.
  * Switch away from transitional pkg-config build dependency.
  * Bump Standards-Version to 4.7.0, no change required.
  * Refresh upstream metadata.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 20 Oct 2024 22:59:35 +0200

parley (4:23.08.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove 2 obsolete maintscript entries in 1 files.
  * Drop the kross dependency, no more needed since 21.12.3.

 -- Pino Toscano <pino@debian.org>  Sat, 11 Nov 2023 07:29:20 +0100
