## parley 24.12.0

=== debian/changelog ===
parley (4:24.12.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Limit the build of the browser integration to architectures where
    Qt6 WebEngine is available (amd64 arm64 armhf i386).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Dec 2024 19:52:18 +0100

parley (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 00:13:10 +0100
