=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: parley
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16.0~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                libkeduvocdocument-dev (>= 4:24.08.2~),
@@ -28,14 +27,14 @@
                qt6-base-dev (>= 6.5.0~),
                qt6-multimedia-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
-               qt6-webengine-dev (>= 6.5.0~),
+               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/parley
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/parley.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/parley
 
 Package: parley
 Architecture: any
