## parley 24.12.1

=== debian/changelog ===
parley (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)
  * Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:40:57 +0000

parley (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:25:12 +0000

parley (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:16:23 +0000

parley (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 12:50:17 +0000

parley (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:48:46 +0000
