## parley 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(parley VERSION ${RELEASE_SERVICE_VERSION})
-set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.91.0")
-set(KDE_COMPILERSETTINGS_LEVEL "5.82")
+set(QT_MIN_VERSION "6.5.0")
+set(KF_MIN_VERSION "6.3.0")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82.0")
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 
@@ -28,17 +28,20 @@
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DKNEWSTUFFWIDGETS_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055A00)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED
+option(BUILD_BROWSERINTEGRATION "Build integration for accessing the Internet (requires QtWebengine)" ON)
+
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
   Core
   Svg
   Concurrent
   Multimedia
-  WebEngineWidgets
 )
+if (BUILD_BROWSERINTEGRATION)
+    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED WebEngineWidgets)
+endif()
 
-find_package(KF5 ${KF5_MIN_VERSION} MODULE REQUIRED COMPONENTS
+find_package(KF6 ${KF_MIN_VERSION} MODULE REQUIRED COMPONENTS
   DocTools  #to produce the docbook
   CoreAddons
   Config
@@ -51,8 +54,8 @@
   XmlGui
   Notifications
 )
-ecm_set_disabled_deprecation_versions(QT 5.15.2
-    KF 5.99.0
+ecm_set_disabled_deprecation_versions(QT 6.8.0
+    KF 6.5.0
 )
 
 
@@ -92,42 +95,12 @@
 # let our config-parley.h be found first in any case
 include_directories (BEFORE ${CMAKE_CURRENT_BINARY_DIR})
 
-
-
-# Define link libs for parley executable and unittests
-set( parley_LINK_LIBS
-  LibKEduVocDocumentImport__KEduVocDocument
-  Qt::Core
-  Qt::Svg
-  KF5::I18n
-  KF5::NewStuffWidgets
-  KF5::SonnetCore
-  KF5::SonnetUi
-  KF5::XmlGui
-  KF5::Completion
-  KF5::ConfigWidgets
-  KF5::ConfigGui
-  KF5::WidgetsAddons
-  KF5::TextWidgets
-  KF5::KIOWidgets
-  Qt::Widgets
-  Qt::Gui
-  Qt::Concurrent
-  Qt::Multimedia
-  KF5::Notifications
-  KF5::Crash
-  KF5::CoreAddons
-  Qt::WebEngineWidgets
-)
-
 message(STATUS "cmake cflags ${CMAKE_C_FLAGS}")
 message(STATUS "cmake link flags ${CMAKE_EXE_LINKER_FLAGS}")
 
 if(${LIBXSLT_FOUND} AND ${LIBXML2_FOUND})
   set(HAVE_LIBXSLT 1)
   message(STATUS "XLST found")
-  set( parley_LINK_LIBS ${parley_LINK_LIBS} ${LIBXML2_LIBRARIES} ${LIBXSLT_LIBRARIES})
-  include_directories(${LIBXML2_INCLUDE_DIR} ${LIBXSLT_INCLUDE_DIR})
 else(${LIBXSLT_FOUND} AND ${LIBXML2_FOUND})
   set(HAVE_LIBXSLT 0)
   message(STATUS "XSLT not found, but not required")
@@ -141,7 +114,7 @@
 endif(X11_Xrender_FOUND)
 
 if(BUILD_TESTING)
-  find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Test)
+  find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Test)
   add_subdirectory( autotests )
   add_subdirectory( tests )
 endif()
@@ -156,7 +129,7 @@
 endif(HAVE_LIBXSLT)
 
 ki18n_install(po)
-if (KF5DocTools_FOUND)
+if (KF6DocTools_FOUND)
     kdoctools_install(po)
 endif()
 install(FILES org.kde.parley.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
@@ -166,4 +139,4 @@
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
