=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:24.12.1~),
+               libkeduvocdocument-dev (>= 4:24.12.3~),
                libkf6config-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),
                libkf6crash-dev (>= 6.3.0~),
