## parley 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,14 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(parley VERSION ${RELEASE_SERVICE_VERSION})
 set(QT_MIN_VERSION "6.5.0")
 set(KF_MIN_VERSION "6.3.0")
-set(KDE_COMPILERSETTINGS_LEVEL "5.82.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -24,11 +23,6 @@
 include(KDEGitCommitHooks)
 include(ECMDeprecationSettings)
 
-#Allows QString concatenation to use a single memory allocation per source line.
-add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
-add_definitions(-DQT_NO_FOREACH)
-
 option(BUILD_BROWSERINTEGRATION "Build integration for accessing the Internet (requires QtWebengine)" ON)
 
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
@@ -36,6 +30,7 @@
   Svg
   Concurrent
   Multimedia
+  DBus
 )
 if (BUILD_BROWSERINTEGRATION)
     find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED WebEngineWidgets)
