=== tests/CMakeLists.txt ===
# stub
