=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

webengine_archs := amd64 arm64 armhf i386

%:
	dh $@

ifneq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(webengine_archs)))
override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DBUILD_BROWSERINTEGRATION=OFF
endif

override_dh_auto_test:
	xvfb-run dh_auto_test
